package com.patzn.lims.consume.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.consume.vo.LmsChemicalRelPurchaseVO;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.consume.entity.LmsChemicalRelPurchase;

/**
 * <p>
 * 试验耗材采购关联表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-21
 */
public interface ILmsChemicalRelPurchaseService extends IBaseService<LmsChemicalRelPurchase> {

    Page<LmsChemicalRelPurchaseVO> page(Page<LmsChemicalRelPurchaseVO> page, LmsChemicalRelPurchaseVO lmsChemicalRelPurchase);


    boolean saveByChemicalIds(Long[] chemicalId, LmsChemicalRelPurchase chemicalRelPurchase);



    Page<LmsChemicalRelPurchaseVO> pageTemp(Page page, LmsChemicalRelPurchaseVO lmsChemicalRelPurchase);



    Integer updateOrderStatus(Long orderId, Long uid);



    boolean finishPurchase(Long[] ids);



    Page<LmsChemicalRelPurchaseVO> getPageByOrderId(Page page, LmsChemicalRelPurchaseVO vo);
}
